## kio 5.116.0

=== docs/CMakeLists.txt ===
add_subdirectory(kcookiejar5)
add_subdirectory(kioslave5)
add_subdirectory(kcontrol5)
