=== templates/CMakeLists.txt ===
kde_package_app_templates(
    TEMPLATES
        kioworker
    INSTALL_DIR ${KDE_INSTALL_KAPPTEMPLATESDIR}
)
