=== debian/changelog ===
kio (5.116.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Turn off warning for GCS on arm64 (Closes: #1110457).

 -- Patrick Franz <deltaone@debian.org>  Tue, 16 Sep 2025 18:12:26 +0200

kio (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:42:51 +0200

kio (5.115.0-9) unstable; urgency=medium

  [ Pino Toscano ]
  * Team upload.
  * Update symbols files from the logs of buildds; better mark few Linux & Hurd
    symbols.
  * Drop unused lintian override.

  [ Aurélien COUDERC ]
  * Add/update Nicolas Fella’s key in upstream keyring.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Nov 2024 08:33:53 +0100

kio (5.115.0-8) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 16:18:55 +0200

kio (5.115.0-7) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable co-installability with KF6.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Jun 2024 13:32:46 +0200

kio (5.115.0-6) unstable; urgency=medium

  [ Aurélien COUDERC ]
  *  Backport upstream patch to fix incorrect behaviours with CIFS:
    - Don't leak existing file handles to newly spanwed KIO workers.
      (Closes: #1070322)

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 May 2024 23:34:42 +0200

kio (5.115.0-5) unstable; urgency=medium

  * Team upload.
  * Add more dependencies to libkf5kio-dev, needed for properly using the cmake
    config: libkf5config-dev, libkf5coreaddons-dev, libkf5widgetsaddons-dev,
    and libkf5windowsystem-dev.

 -- Pino Toscano <pino@debian.org>  Sat, 11 May 2024 23:03:04 +0200

kio (5.115.0-4) unstable; urgency=medium

  * Team upload.
  * Make switcheroo-control really a recommend, not a dependency.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Restrict the switcheroo-control recommend to few architectures, i.e.
    amd64 i386; dual GPU setups exist (at least TTBOMK) only on these
    architectures.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 11 May 2024 10:00:44 +0200

kio (5.115.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:15:41 +0200

kio (5.115.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 02 Apr 2024 20:22:27 +0200

kio (5.115.0-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Drop the patch fix_kfreebsd_build, already not applied anymore since
    5.88.0-1.
  * Remove an obsolete maintscript entry.

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Enable LTO (Closes: #1015452).
  * Recommend switcheroo-control (Closes: #1051914).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:06:16 +0100
